# sysctl settings are defined through files in
# /usr/lib/sysctl.d/, /run/sysctl.d/, and /etc/sysctl.d/.
#
# Vendors settings live in /usr/lib/sysctl.d/.
# To override a whole file, create a new file with the same in
# /etc/sysctl.d/ and put new settings there. To override
# only specific settings, add a file with a lexically later
# name in /etc/sysctl.d/ and put new settings there.
#
# For more information, see sysctl.conf(5) and sysctl.d(5).


#
# SPECvirt_sc2013 tunings for webserver
#
fs.file-max = 500000
net.core.somaxconn = 81920

net.ipv4.conf.default.arp_filter = 1
net.ipv4.conf.all.arp_filter = 1
net.ipv4.tcp_max_tw_buckets = 1500000
net.ipv4.tcp_tw_reuse=1
net.ipv4.tcp_keepalive_time = 120
net.ipv4.tcp_keepalive_intvl = 30
net.ipv4.tcp_timestamps = 0

vm.swappiness=0
 



#
# SPECvirt_sc2013 tunings for webserver
#
fs.file-max = 500000
net.core.somaxconn = 81920

net.ipv4.conf.default.arp_filter = 1
net.ipv4.conf.all.arp_filter = 1
net.ipv4.tcp_max_tw_buckets = 1500000
net.ipv4.tcp_tw_reuse=1
net.ipv4.tcp_keepalive_time = 120
net.ipv4.tcp_keepalive_intvl = 30
net.ipv4.tcp_timestamps = 0

vm.swappiness=0

net.core.net_dev_budget = 3000

net.core.net_dev_max_backlog = 30000

net.ipv4.tcp_fin_timeout = 20

net.ipv4.tcp_keepalive_probes = 4

net.ipv4.tcp_max_syn_backlog = 20000

net.ipv4.tcp_tw_recycle = 1

 

